RuntimeVisibleParameterAnnotations (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.classfile

## Class RuntimeVisibleParameterAnnotations

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.ParameterAnnotations
    - - org.apache.bcel.classfile.RuntimeVisibleParameterAnnotations

- All Implemented Interfaces:
    Cloneable, Node

      public class RuntimeVisibleParameterAnnotations
      extends ParameterAnnotations

  Represents a parameter annotation that is represented in the class file and is provided to the JVM.
  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeVisibleParameterAnnotations(int name_index, int length, DataInput input, ConstantPool constant_pool)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.bcel.classfile.ParameterAnnotations

      `accept, copy, dump, getParameterAnnotationEntries, getParameterAnnotationTable, setParameterAnnotationTable`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeVisibleParameterAnnotations

          public RuntimeVisibleParameterAnnotations(int name_index,
                                                    int length,
                                                    DataInput input,
                                                    ConstantPool constant_pool)
                                             throws IOException

      Parameters:
        `name_index` - Index pointing to the name Code
        `length` - Content length in bytes
        `input` - Input stream
        `constant_pool` - Array of constants
      Throws:
        `IOException`

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.